Go to the latest version of this document.

# ``twisted`.`words`.`service`.`PBMindReference``

class documentation

`class PBMindReference(pb.RemoteReference): (source)`

Constructor: `PBMindReference(perspective, broker, luid, doRefCount)`

Implements interfaces: `twisted.words.iwords.IChatClient`

View In Hierarchy

Undocumented

Method | `groupMetaUpdate` | Callback notifying this user that the metadata for the given group has changed.
Method | `receive` | Callback notifying this user of the given message sent by the given user.
Method | `userJoined` | Callback notifying this user that the given user has joined the given group.
Method | `userLeft` | Callback notifying this user that the given user has left the given group for the given reason.
Class Variable | `name` | A short string, unique among users. This will be set by the `IChatService` at login time.

Inherited from `RemoteReference`:

Method | `__cmp__` | No summary
Method | `__del__` | Do distributed reference counting on finalization.
Method | `__hash__` | Hash me.
Method | `__init__` | (internal) Initialize me with a broker and a locally-unique ID.
Method | `callRemote` | Asynchronously invoke a remote method.
Method | `dontNotifyOnDisconnect` | Remove a callback that was registered with notifyOnDisconnect.
Method | `jellyFor` | If I am being sent back to where I came from, serialize as a local backreference.
Method | `notifyOnDisconnect` | Register a callback to be called if our broker gets disconnected.
Method | `remoteMethod` | No summary
Method | `unjellyFor` | Unjelly myself for the jellier.
Instance Variable | `broker` | The broker I am obtained through.
Instance Variable | `disconnectCallbacks` | Undocumented
Instance Variable | `doRefCount` | Undocumented
Instance Variable | `luid` | Undocumented
Instance Variable | `perspective` | Undocumented
Method | `_disconnected` | Called if we are disconnected and have callbacks registered.

Inherited from `Serializable` (via `RemoteReference`):

Method | `processUniqueID` | Return an ID which uniquely represents this object for this process.

Inherited from `Jellyable` (via `RemoteReference`, `Serializable`):

Method | `getStateFor` | Undocumented

Inherited from `Ephemeral` (via `RemoteReference`, `Serializable`, `Jellyable`):

Method | `__getstate__` | Undocumented
Method | `__reduce__` | Serialize any subclass of `Ephemeral` in a way which replaces it with `Ephemeral` itself.
Method | `__setstate__` | Undocumented
Instance Variable | `__class__` | Undocumented

def groupMetaUpdate(self, group, meta): (source)
from `twisted.words.iwords.IChatClient`

Callback notifying this user that the metadata for the given group has changed.

Parameters
group:`IGroup` | Undocumented
meta:`dict` | Undocumented

Returns
`twisted.internet.defer.Deferred` | Undocumented

def receive(self, sender, recipient, message): (source)
from `twisted.words.iwords.IChatClient`

Callback notifying this user of the given message sent by the given user.

This will be invoked whenever another user sends a message to a group this user is participating in, or whenever another user sends a message directly to this user. In the former case, `recipient` will be the group to which the message was sent; in the latter, it will be the same object as the user who is receiving the message.

Parameters
sender:`IUser` | Undocumented
recipient:`IUser` or `IGroup` | Undocumented
message:`dict` | Undocumented

Returns
`twisted.internet.defer.Deferred` | A Deferred which fires when the message has been delivered, or which fails in some way. If the Deferred fails and the message was directed at a group, this user will be removed from that group.

def userJoined(self, group, user): (source)
from `twisted.words.iwords.IChatClient`

Callback notifying this user that the given user has joined the given group.

Parameters
group:`IGroup` | Undocumented
user:`IUser` | Undocumented

Returns
`twisted.internet.defer.Deferred` | Undocumented

def userLeft(self, group, user, reason=None): (source)
from `twisted.words.iwords.IChatClient`

Callback notifying this user that the given user has left the given group for the given reason.

Parameters
group:`IGroup` | Undocumented
user:`IUser` | Undocumented
reason:`unicode` | Undocumented

Returns
`twisted.internet.defer.Deferred` | Undocumented

name: `str` = (source)
from `twisted.words.iwords.IChatClient`

A short string, unique among users. This will be set by the `IChatService` at login time.